

//- VARIABLES NEEDED
//- 
//- DEVICE TYPE
//- COLLEGE
//- BUILDING

//- FUNCTIONS
//- 
//- onAddDevice
//- 




doctype html
html(lang='en')
	head
		meta(charset='utf-8')
		meta(http-equiv='X-UA-Compatible', content='IE=edge')
		meta(name='viewport', content='width=device-width, initial-scale=1')
		meta(name='description', content='')
		meta(name='author', content='')
		title KNUST Power Saver
		// Bootstrap Core CSS
		link(href='../css/bootstrap.min.css', rel='stylesheet')
		// Custom CSS
		link(href='../css/sb-admin.css', rel='stylesheet')
		// Custom Fonts
		link(href='../font-awesome/css/font-awesome.min.css', rel='stylesheet', type='text/css')
		// HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries
		// WARNING: Respond.js doesn't work if you view the page via file://
		//if lt IE 9
			script(src='https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js')
			script(src='https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js')
		link(rel='stylesheet', type='text/css', href='../stylesheets/custom.css')
	body
		#wrapper
			// Navigation
			nav.navbar.navbar-inverse.navbar-fixed-top(role='navigation')
				// Brand and toggle get grouped for better mobile display
				.navbar-header
					button.navbar-toggle(type='button', data-toggle='collapse', data-target='.navbar-ex1-collapse')
						span.sr-only Toggle navigation
						span.icon-bar
						span.icon-bar
						span.icon-bar
					a.navbar-brand(href='/secure') KNUST Power Saver
				// Top Menu Items
				ul.nav.navbar-right.top-nav
					li.dropdown
						a.dropdown-toggle(href='#', data-toggle='dropdown')
							i.fa.fa-user
							|  Administrator 
							b.caret
						ul.dropdown-menu
							li
								a(href='/logout')
									i.fa.fa-fw.fa-power-off
									|  Log Out
				// Sidebar Menu Items - These collapse to the responsive navigation menu on small screens
				.collapse.navbar-collapse.navbar-ex1-collapse
					ul.nav.navbar-nav.side-nav
						li
							a(href='/secure')
								i.fa.fa-fw.fa-dashboard
								|  System Overview
						li
							a(href='/secure/asset_management.html')
								i.fa.fa-fw.fa-bar-chart-o
								|  Asset Management
						li.active
							a(href='/secure/add_device.html')
								i.fa.fa-fw.fa-edit
								|  Add Device
						li
							a(href='/secure/reports.html')
								i.fa.fa-fw.fa-edit
								|  Reports
						li
							a(href='/secure/about.html')
								i.fa.fa-fw.fa-table
								|  About
				// /.navbar-collapse
			#page-wrapper
				.container-fluid
					// Page Heading
					.row
						.col-lg-12
							h1.page-header
								strong Add Device
							ol.breadcrumb
								li
									i.fa.fa-dashboard
									a(href='/secure') System Overview
								li.active
									i.fa.fa-edit
									|  Add Device
					// /.row
					.row
						form(role='form')
							.form-group
								label.control-label Device Name
								input#device_name.form-control(type='text')

							.form-group
								label.control-label Device Type
								.form-group
									select#device_type.form-control
										option(selected) Choose Device Type
										-for(var i = 0; i < device_types.length; i++){
										option #{device_types[i]}
										-}

							.form-group
								label.control-label College
								.form-group
									select#college.form-control(onselect="_internal('',onSelectCollege,data)")
										option(selected) Select College
										-for(var i = 0; i < colleges.length; i++){
										option #{colleges[i]}
										-}

							.form-group
								label.control-label Building
								.form-group
									select#building.form-control
										option(selected) Select Buildng
										-for(var i = 0; i < buildings.length; i++){
										option #{buildings[i]}
										-}

							.form-group
								label.control-label Office Name
								input#office.form-control(type='text')
							
							.form-group
								input.btn.btn-basic.btn-block.btn-lg(type='submit', value='Add Device', onclick='onAddDevice()')

					// /.row
				// /.container-fluid
			// /#page-wrapper
		// /#wrapper
		script(type='text/javascript', src='../js/ejs_production.js')
		// jQuery
		script(src='../js/jquery.js')
		// Bootstrap Core JavaScript
		script(src='../js/bootstrap.min.js')
